pdl (1:2.018-1ubuntu4) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:24:14 +0000

pdl (1:2.018-1ubuntu3) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 14:16:43 -0400

pdl (1:2.018-1ubuntu2) artful; urgency=medium

  * Rebuild against perl 5.26.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2017 08:36:49 +0200

pdl (1:2.018-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/transform-align: Align memory to fix build failure on
      armhf-on-arm64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jun 2017 23:22:45 +0200

pdl (1:2.018-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 15:16:26 +0200

pdl (1:2.018-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches applied upstream. Refresh remaining patches.
  * Add lintian override for spelling-error-in-manpage false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 May 2017 11:28:11 +0200

pdl (1:2.017-1ubuntu2) zesty; urgency=medium

  * Rebuild against new libproj12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Nov 2016 12:35:56 +0100

pdl (1:2.017-1ubuntu1) zesty; urgency=medium

  * debian/patches/transform-align: Align memory to fix build failure on
    armhf-on-arm64.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 31 Oct 2016 11:23:46 +0000

pdl (1:2.017-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Oct 2016 08:39:13 +0200

pdl (1:2.017-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches applied upstream. Refresh remaining patches.
  * Update copyright format URL to use HTTPS.
  * Add patch to fix spelling errors.
  * Add patch to fix pod2man errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 09 Oct 2016 13:28:32 +0200

pdl (1:2.016-4) unstable; urgency=medium

  * Team upload.
  * Apply patch by Reiner Herrmann to update reproducible-build.patch.
    (closes: #829365)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jul 2016 19:30:45 +0200

pdl (1:2.016-3) unstable; urgency=medium

  * Team upload.
  * Add patches by Reiner Herrmann for reproducible builds.
    (closes: #829323, #829365)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2016 00:37:46 +0200

pdl (1:2.016-2) unstable; urgency=medium

  * Team upload.
  * Add libfile-map-perl & libmodule-compile-perl to (build) dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Jul 2016 00:42:57 +0200

pdl (1:2.016-1) unstable; urgency=medium

  * Team upload.
  * Add patch to use absolute paths for symlinked documentation.
  * Add patch to fix additional spelling errors.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jun 2016 12:13:03 +0200

pdl (1:2.016-1~exp3) experimental; urgency=medium

  * Team upload.
  * Disable generation of documentation as part of the build.
    The documentation is generated on installation via postinst.
  * Add patch to fix manpage-has-bad-whatis-entry lintian issue.
  * Add patch to use LDFLAGS for pdl executable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Jun 2016 11:08:55 +0200

pdl (1:2.016-1~exp2) experimental; urgency=medium

  * Team upload.
  * Strip RPATH from Minuit.so & Slatec.so.
  * Add lintian overrides for hardening-no-fortify-functions issues.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Jun 2016 15:36:07 +0200

pdl (1:2.016-1~exp1) experimental; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version (2.015)
    (closes: #811247)
  * cme fix dpkg-control
  * DEP5

  [ Bas Couwenberg ]
  * Update watch file to use metacpan.org.
  * Add gbp.conf to use pristine-tar by default.
  * Change Maintainer from Debian Science Team to Debian Perl Group.
  * Update Vcs-* URLs for pkg-perl git repository.
  * Imported new upstream release (2.016).
  * Update copyright file, changes:
    - Add Upstream-Contact field
    - Update Source URL to use metacpan.org
    - Fix license for "same terms as Perl itself": Artistic or GPL-1+
    - Add copyright holders
    - Add license & copyright for differently licensed files
  * Reorder (build) dependencies.
  * Drop Release_Notes from pdl.docs, removed upstream.
  * Separate lintian overrides with newlines.
  * Align paths in install files.
  * Add upstream metadata.
  * Add libdevel-checklib-perl to build dependencies.
  * Use minimal dh rules.
  * Update perldl.conf for PDL 2.016.
  * Add libinline-c-perl to (build) dependencies.
  * Add patch to fix doc_vendor_install target by supporting DESTDIR.
  * Regenerate control files from templates in separate target.
  * Disable parallel dh_auto_install, race condition between make targets.
  * Override dh_install to use --list-missing.
  * Drop libhdf4-0-alt from Suggests, already included in ${shlibs:Depends}.
  * Add patch to fix spelling errors.
  * Add patch to use CPPFLAGS for pdl executable.
  * Add libtest-{deep,exception}-perl to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Jun 2016 12:08:56 +0200

pdl (1:2.007-5) unstable; urgency=medium

  * Team upload.
  
  [ Andreas Tille ]
  * Package migrated to Debian Science team Git as Uploader Henning Glawe agreed
  * Add watch file

  [ Sebastiaan Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
  * Add patch to fix FTBFS with GSL 2.x.
    Closes: #805824

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2016 13:47:31 +0100

pdl (1:2.007-4) unstable; urgency=high

  * Fix "problems upgrading from wheezy due to triggers"; print warning
    to STDERR if doc index could not be updated instead of causing
    postinst failure. (Closes: #729220)
    This will apply only in subsequent releases, as the upgrade problem
    is caused by the pdl package in wheezy.
    Cloned bug to perl (#773323), in order to have a 'Breaks: pdl (<<1:2.007)'
    for smooth wheezy->jessie updates.
    Changes to pdl.postinst have been tested by backporting to wheezy's pdl
    version, which solved the wheezy->jessie upgrade issues.

 -- Henning Glawe <glaweh@debian.org>  Wed, 17 Dec 2014 10:29:01 +0100

pdl (1:2.007-3) unstable; urgency=low

  * Acknowledge NMU
  * For the time being, always use 64bit integers in Fortran libs
    slatec and minuit by default, as debian perl packages switched
    to ivsize=8 on all arches, implying a 64bit index type in PDL

 -- Henning Glawe <glaweh@debian.org>  Wed, 24 Sep 2014 20:14:23 +0200

pdl (1:2.007-2.1) unstable; urgency=medium

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    - rename files in debian/ which contain "/usr/lib/perl5" to .in, replace
      "/usr/lib/perl5" with a variable
    - create original files from debian/rules, replacing the variable with
      the current value of $Config{vendorarch}
    (Closes: #752351)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 07:54:19 +0000

pdl (1:2.007-2) unstable; urgency=low

  * successfully built with gcc 4.8 (closes: #701335, #713346)
  * add build log evalution helpers to source package: extract
    test suite output from buildlog, cross-refernce test/subtest
    failures between architectures
  * use shell to join stderr into stdout while running test suite
  * fix Dumper.pm on kfreebsd: 'gnukfreebsd' was assumed as a bsd
    userland, which disabled/broke calls to 'uuencode' and 'uudecode'
  * fix debian/filter-test.pl, which cut the test log too early
    due to a too-unspecific regex
  * prefer F77Conf over ExtUtils::F77 in t/flexraw_fortran.t in order
    to prevent test failures on kfreebsd* and hurd*

 -- Henning Glawe <glaweh@debian.org>  Mon, 11 Nov 2013 13:34:09 +0100

pdl (1:2.007-1) unstable; urgency=low

  * new upstream release
  * upstream now builds with gcc 4.8 and perl 5.18 (closes: #721589)
  * disable PDL::FFTW and PDL::Graphics::PLplot, both are depreciated
    upstream and are available as separate module distributions
  * make successful testsuite run mandatory
  * include /usr/share/perl5/PDL in trigger modify upstream's
    scantree.pl to accept comma-separated directory lists
    (closes: #681937)

 -- Henning Glawe <glaweh@debian.org>  Thu, 07 Nov 2013 09:23:38 +0100

pdl (1:2.4.11-4) unstable; urgency=low

  * fix pdl versioned dep in dh_pdl

 -- Henning Glawe <glaweh@debian.org>  Wed, 30 May 2012 16:06:03 +0200

pdl (1:2.4.11-3) unstable; urgency=low

  * fix the building of pdl wrapper
  * set -fPIC when compiling fortran extensions

 -- Henning Glawe <glaweh@debian.org>  Mon, 28 May 2012 20:44:46 +0200

pdl (1:2.4.11-2) unstable; urgency=low

  * fix calls to croak in Lib/GIS/Proj/Proj.pd and IO/GD/GD.pd (croak was
    not called with a format string literal, causing 
    -Werror=format-security to abort the compilation)

 -- Henning Glawe <glaweh@debian.org>  Sun, 27 May 2012 16:01:22 +0200

pdl (1:2.4.11-1) unstable; urgency=low

  * new upstream release
  * acknowledge NMU (closes: #670693), thanks to Jari Aalto
  * switch to 3.0 quilt packaging format, the +dfsg repackaging
    of upstream source is not needed anymore
  * provide pdlapi-$version virtual package to keep binary extension
    modules from breaking silently
  * introduce dh_pdl providing ${pdl:Depends} for extension packages
  * use dpkg-buildflags in debian/rules to determine flags
  * link with --as-needed to avoid spurious dependencies
  * switch to dh_auto_configure to call EU::MM with the proper flags
  * read LDFLAGS and FFLAGS in f77conf.pl from env
  * depend on newer dpkg-dev due to buildflags options

 -- Henning Glawe <glaweh@debian.org>  Sat, 26 May 2012 10:30:55 +0200

pdl (1:2.4.10+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix duplicate-in-relation-field libastro-fits-header-perl (Lintian).
  * Fix unused-override (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 28 Apr 2012 08:44:59 +0300

pdl (1:2.4.10+dfsg-1) unstable; urgency=low

  * new upstream release
  * sync debian/perldl.conf with perldl.conf

 -- Henning Glawe <glaweh@debian.org>  Sun, 19 Feb 2012 10:42:56 +0100

pdl (1:2.4.7+dfsg-2) unstable; urgency=low

  * remove left-over file 'test.log', which slipped into the 1:2.4.7+dfsg-1
    debian diff
  * include upstream release notes in deb
  * fix Pod of PDL::IO::FastRaw
  * add lintian override: it is OK to have dpatch dependency with an empty
    patch list. Usually I am adding fixes as dpatch patches, and it is useless
    to add/remove the dpatch support in case there are no patches for one
    particular revision.
  * add a lintian override for a long code line in a manpage, which cannot be
    easily broken

 -- Henning Glawe <glaweh@debian.org>  Sun, 22 Aug 2010 21:19:32 +0200

pdl (1:2.4.7+dfsg-1) unstable; urgency=low

  * new upstream version
    - much improved documentation (closes: #132900)
  * build-depend on netpbm (improves testsuite runs)
  * build-depend on proj-bin (alternatively with proj) to have 'proj'
    command available
  * build-depend and suggest libdevel-repl-perl (for new pdl2 shell)
  * update debian standards-version to 3.9.1 (no further changes needed)
  * improve test suite run output in build log

 -- Henning Glawe <glaweh@debian.org>  Thu, 19 Aug 2010 11:40:22 +0200

pdl (1:2.4.6+dfsg-2) unstable; urgency=low

  * pgperl is back in debian, name changed to libpgplot-perl; changed the
    pdl recommends to reflect that (closes: #407463)

 -- Henning Glawe <glaweh@debian.org>  Tue, 11 May 2010 07:56:50 +0200

pdl (1:2.4.6+dfsg-1) unstable; urgency=low

  * fix paths in generated HTML docs
  * add dpkg trigger for documentation index and HTML documentation updates
  * add ${misc:Depends} to pdl's Depends (recommended by lintian due to
    debhelper usage)
  * use DESTDIR instead of PREFIX when installing (recommended by lintian,
    as this works only due to a debian-specific MakeMake extension)
  * bump (build-)dependency on libopengl-perl to 0.62
  * update to standards-version 3.8.4
  * build-depend on libhdf4-alt-dev (closes: #540404)
  * modify hdf support build scripts to autodetect the 'alt'-flavour
  * build-depend on libproj-dev (closes: #521822)
  * move Homepage to Homepage control field and improve description 
    (closes: #574372)

 -- Henning Glawe <glaweh@debian.org>  Sat, 08 May 2010 17:10:16 +0200

pdl (1:2.4.5+dfsg-2) unstable; urgency=low

  * switch TriD from X11 to freeglut
  * patch test suite to give more meaningful results
  * repair f77config, link against libgfortran.so
  * run testsuite in verbose mode to get more information
  * build-depend and suggest ExtUtils::F77
  * suggest Astro::FITS::Header

 -- Henning Glawe <glaweh@debian.org>  Mon, 09 Nov 2009 12:32:34 +0100

pdl (1:2.4.5+dfsg-1) unstable; urgency=low

  * new upstream release
  * repacked upstream source without debian dir
  * build-depend on sharutils to have uuencode/uudecode available for
    test suite
  * build-depend on libraries needed for the reworked TriD module
  * remove maintainer script postrm, it was actually empty
  * bump standards-version to 3.8.3
  * bump debhelper compatibility level to 7
  * generate html docs and doc index in /var/lib/pdl
  * put symlink to files in /var/lib/pdl into /usr/lib/perl5/PDL

 -- Henning Glawe <glaweh@debian.org>  Fri, 06 Nov 2009 21:45:44 +0000

pdl (1:2.4.3-8) unstable; urgency=low

  * add proper description to the dpatch pathes (6 lintian warnings)
  * backport documentation 'apropos' search function from upstream cvs
    (closes: #499758)
  * remove empty manpage /usr/share/man/man3/PDL::PP.3pm (lintian warning)
  * update standarts version to 3.8.0 (lintian warning)
  * build-depend on x11proto-core-dev instead of x-dev (lintian error)
  * remove libgl1 from Suggests; there is no 3d support presently
  * bump readline Suggests: to Recommends:, as users are lost in
    interactive mode without it
  * Fix doc-base entry (Science/Mathematics instead of Apps/Math)
  * suggest doc-base

 -- Henning Glawe <glaweh@debian.org>  Mon, 22 Sep 2008 09:42:25 +0200

pdl (1:2.4.3-7) unstable; urgency=low

  * patch upstream IO/Makefile.PL to also install Dicom IO module
    (closes: #474751)
  * disable opengl based PDL::Graphics::TriD, it is not working
    with perl 5.10. this considerably lowers PDL's dependencies,
    upstream does not yet have a solution for this problem
    (closes: #495379) 
  * apply upstream patch for the pct() problem (closes: #488092)

 -- Henning Glawe <glaweh@debian.org>  Sat, 20 Sep 2008 13:44:57 +0200

pdl (1:2.4.3-6) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Switch from g77 to gfortran

  [ Henning Glawe ]
  * apply Rafael's patch (closes: #468637)

 -- Henning Glawe <glaweh@debian.org>  Tue,  4 Mar 2008 09:05:08 +0100

pdl (1:2.4.3-4) unstable; urgency=low

  * clean up leftover files not caught by pdl's distclean target
    (closes: #424345)
  * clearly state in PDL::Fit::Gaussian synopsis that PDL has to be loaded
    first (closes: #379932)
  * apply patch for uniqvec/qsortvec from upstream BTS (closes: #415426)
  * encode Latin1 characters in POD documentation as roff
  * postprocess the "reduce" manpage's NAME section to remove roff macros
    (closes: #304217)
  * remove misplaced whitespace characters from changelog
  * fix the menu entry to reflect current menu policy
  * add lintian override to ignore the missing html files; they are
    generated in the postinst script, so lintian can not see them
  * fix the gsl version check
  * comment out the dump() calls in t/xvals.t test, as this seems to confuse
    the test result parser
  * rebuild for the ldbl128 transition (closes: #430319)

 -- Henning Glawe <glaweh@debian.org>  Tue, 16 Oct 2007 10:25:18 +0200

pdl (1:2.4.3-3) unstable; urgency=low

  * add -DGLvoid=void in the cpp call for setting up the OpenGL typemaps in
    order to make PDL build with newer mesa versions (closes: #390122)

 -- Henning Glawe <glaweh@debian.org>  Mon,  9 Oct 2006 18:07:41 +0200

pdl (1:2.4.3-2) unstable; urgency=low

  * upstream: enhance the 64bit-excludelist for the flexraw-test
  * let the build continue anyways if problems are found in the
    testsuite, so its output is only informational

 -- Henning Glawe <glaweh@debian.org>  Mon, 25 Sep 2006 10:43:58 +0200

pdl (1:2.4.3-1) unstable; urgency=low

  * new upstream
  * enable gd, proj and HDF support
  * force-enable WITH_3D, as on debian autobuilders, there is no 
    $DISPLAY and therefore the autodetection does not work

 -- Henning Glawe <glaweh@debian.org>  Thu, 17 Aug 2006 12:27:03 +0200

pdl (1:2.4.2-6) unstable; urgency=low

  * Graphics::TriD did not compile anymore. Backport this module from HEAD.
  * update standarts-version to 3.7.2
  * build-depend on libxext-dev, as the TriD GL needs it
  * incorporate OpenGL build fix from upstream BTS 1505132

 -- Henning Glawe <glaweh@debian.org>  Tue, 13 Jun 2006 10:14:39 +0200

pdl (1:2.4.2-5) unstable; urgency=low

  * add workaround for broken ExtUtils::MakeMaker in perl 5.8.8 
  	(closes: #356975):
    - as EU::MM generated Makefiles reference PERLRUN instead of PERLRUNINST,
      explicitly "use blib;" in the BAD{,2}_demo.pm.PL

 -- Henning Glawe <glaweh@debian.org>  Fri,  2 Jun 2006 10:17:39 +0200

pdl (1:2.4.2-4) unstable; urgency=low

  * make the xlibs-dev transition for x.org 6.9 (closes: #346926):
    - build-depending on x-dev should be enough according to 
      http://www.inutil.org/jmm/xlibs/xlibs-split-2005-11-15.tar-bz2
  * Suggest libplplot-dev and tell about the PDL::Graphics::PLplot 
    examples it contains in pdl's README.Debian

 -- Henning Glawe <glaweh@debian.org>  Mon,  9 Jan 2006 09:15:31 +0100

pdl (1:2.4.2-3) unstable; urgency=low

  * change Build-dependencies to build with xorg (closes: #318258)
  * add libinline-perl to suggests
  * add perl readline modules to suggests

 -- Henning Glawe <glaweh@debian.org>  Thu, 14 Jul 2005 14:49:42 +0000

pdl (1:2.4.2-2) unstable; urgency=low

  * use dpatch for patch management
  * split out Makefile clean target patch
  * split out patch preventing the generation of an empty manpage pdl.1p
  * get fix for transform.pd from cvs (problem reported on pdl mailing list)
  * fix a second problem with PDL_Double used not in C code in transform.pd
  * patch mkhtmldoc.pl to generate relative links instead of absolute ones;
    absolute pathnames confused dhelp sometimes.
  * move debhelper template in prerm up, so the doc-base remove call is done
    before the dynamically generated html files are removed
  * patch remove obsolete upstream debian files until these changes are
    checked in.
  * mention new pdl htmldoc location in README.Debian

 -- Henning Glawe <glaweh@debian.org>  Sun, 16 Jan 2005 18:42:29 +0100

pdl (1:2.4.2-1) unstable; urgency=low

  * new upstream release
  * remove comment about not including m51.fits from debian/copyright
  * re-import COPYING to debian/copyright
  * include perldl.conf used in "official" package as debian/perldl.conf
  * install Known_problems to docdir
  * fix clean target in upstream makefiles
  * use upstream makefile distclean target in debian/rules clean target
  * fix description+synopsis
  * remove references to obsolete websites from README
  * rework packaging with debhelper
  * build html docs in /usr/share/doc/pdl/html/PDL and install doc-base 
    entry for this
  * remove lintian override, slatec is now built with -fPIC
  * disable building of pdl.1p from pdl.PL, so the correct pdl.1p from
    Basic/Pod/Intro.pod is included

 -- Henning Glawe <glaweh@debian.org>  Mon, 10 Jan 2005 15:59:25 +0100

pdl (1:2.4.1-1) unstable; urgency=low

  * new upstream release
  * don't print debug info in preinst (Closes: #69978)
  * enable bad value support, the impact should be minimal on modern
    hardware (Closes: #113607)
  * took plplot from PDL HEAD
  * clean up doc index and html docs in prerm (Closes: #160034)

 -- Henning Glawe <glaweh@debian.org>  Thu, 22 Jul 2004 19:16:24 +0200

pdl (1:2.4.0-1) unstable; urgency=low

  * new maintainer (Closes: #215543)
  * acknowlege NMU (Closes: #141117, #104630, #140104, #170182)
  * new upstream release.
  * enable plplot support (Closes: #196185)
  * enable gsl support
  * enable fftw support
  * swap out m51.fits and COPYING, taken from PDL CVS HEAD (Closes: #223793)

 -- Henning Glawe <glaweh@debian.org>  Sat, 13 Dec 2003 22:25:41 +0100

pdl (1:2.3.2-0.6) unstable; urgency=low

  * NMU for xlib6g-dev dependency (Closes: #170182)

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 15 Mar 2003 16:55:39 -0800

pdl (1:2.3.2-0.5) unstable; urgency=low

  * NMU for perl 5.8. Set build-dependency to perl 5.8.
  * debian/rules: moved prefix selection to installation time.

 -- Josselin Mouette <joss@debian.org>  Wed, 21 Aug 2002 22:39:24 +0200

pdl (1:2.3.2-0.2) unstable; urgency=low

  * Non-Maintainer Upload
  * In postinst, specify path to /usr/bin/perl so that users with a conflicting
    perl in /usr/local/bin do not get a blow-up.  (Closes: #141117)
  * (Note that the above change was made in debian/rules, NOT debian/postinst,
    because of the very strange way the original maintainer made the
    debian/postinst be auto-generated..)

 -- Ben Gertzfield <che@debian.org>  Mon,  8 Apr 2002 18:47:16 +0900

pdl (1:2.3.2-0.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Newest version needed to fix gimp-perl build problems (perl
    segfaults on alpha otherwise).
  * Use F77CONF=debian/f77conf.pl, signify hppa needed changes in
    there instead of hacking Lib/Slatec/Makefile.PL .
  * Include small patch to change $(INST_LIBDIR)/PDL to
    $(INST_LIBDIR) in Basic/Gen/Makefile.PL (debian/rules has
    a very long, strange find command that barfs if there are
    multiple directories named PDL, and this looks like a typo
    anyway)
  * debian/rules was writing to file called "substvers", and
    was missing a $ anyway when writing Perl depends substvars.
    Commented out, added a call to dh_perl and tightened Build-Depends
    on debhelper to (>= 3.0.18).
  * Add call to dh_clean to clean up debhelper-generated files.

 -- Ben Gertzfield <che@debian.org>  Tue,  2 Apr 2002 22:07:56 +0900

pdl (1:2.2.1-7.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Fix to build on hppa, patch in BTS. Closes: #104630

 -- Matt Taggart <taggart@debian.org>  Wed,  5 Dec 2001 19:42:37 -0700

pdl (1:2.2.1-7) unstable; urgency=low

  * rebuild with dh_gencontrol instead of dpkg-gencontrol, new
    perl policy seems to need this.
  * include lintian override for non-pic code in Slatec.so
  * include debian/all (build/check script) in source

 -- Raul Miller <moth@debian.org>  Sun, 26 Aug 2001 21:44:51 -0400

pdl (1:2.2.1-6) unstable; urgency=low

  * Introduced a build-depends on libextutils-f77-perl.  [Which
    breaks cross compilation since I've not released that package yet --
    waiting on DFSG copyright, but allows building with slatec.]

 -- Raul Miller <moth@debian.org>  Sat,  9 Jun 2001 22:54:30 -0400

pdl (1:2.2.1-5) unstable; urgency=low

  * fix postinst.base -- postinst was missing set -e

 -- Raul Miller <moth@debian.org>  Fri, 25 May 2001 11:09:44 -0400

pdl (1:2.2.1-4) unstable; urgency=low

  * Ok, found out how to resolve $Config{version}.

 -- Raul Miller <moth@debian.org>  Fri, 25 May 2001 01:04:12 -0400

pdl (1:2.2.1-3) unstable; urgency=low

  * changed INSTALLDIRS=perl to INSTALLDIRS=vendor in debian/rules,
    for the new perl policy, changed Build-Depends to match.
    (fixes #95423)
  * made other changes to debian/rules and debian/control as indicated
    by this new policy.  I hope the OPTIMIZE attribute doesn't hose PDL...
  * FIXME: I've backed out compliance with 3.4.2 of the new perl policy:
    "Binary modules must specify a dependency on either perl or
     perl-base with a minimum version of the perl package used to
     build the module, and must additionally depend on the expansion of
     perlapi-$Config{version}." 
    This fails to indicate what context to use for that expansion. In
    my initial tests, this broke the package, and `apt-cache search
    perlapi` turns up nothing.

 -- Raul Miller <moth@debian.org>  Thu, 24 May 2001 14:01:33 -0400

pdl (1:2.2.1-2) unstable; urgency=low

  * replaced mesag-dev with xlibmesa-dev in build depends.  (fixes #97508)
    replaced mesag3 with libgl1 in depends.
  * Rant: [None of this rant is immediately relevant to this version
    of PDL, except through examining the implications of bug #97508.]
    This whole "trash the old i/o-library interface" thing strikes
    me as *really bad*.  Interfaces should be treated as sacred,
    and maintaining backwards compatibility is important for long term
    system survivability.  Basically, what we're saying here is that
    these interfaces are immature, and people who built code against
    the earlier (obsolete) libraries acted prematurely.  Either that,
    or we're saying that distributing binary packages for debian is
    a mistake on the part of anyone outside of debian.  
  * I'm leaving the Build-Depends for libncurses-dev in the control file,
    even though it's now a virutal package, to see if I get any bug
    reports filed against pdl because of it (for the record, I'm using
    version 5.2.20010318-1 of libncurses5-dev to build this instance).
  * updated debian/rules (added prerm, minor cleanups)

 -- Raul Miller <moth@debian.org>  Mon, 21 May 2001 10:18:55 -0400

pdl (1:2.2.1-1) unstable; urgency=low

  * renamed directory from PDL-2.2.1 to pdl-2.2.1, and chmod +x debian/rules
    (required so that dpkg-buildpackage works).  
  * changed Source-Depends: to Build-Depends: in control file, and restored
    build dependency for libncurses-dev.
  * restored debian/postinst.base and debian/prerm from debian 2.2

 -- Raul Miller <moth@debian.org>  Sun, 20 May 2001 22:14:49 -0400

pdl (1:2.2.1-0) unstable; urgency=low

  * new upstream release

 -- PDL Porters <pdl-porters@jach.hawaii.edu>  Tue, 24 Apr 2001 15:01:23 -0400

pdl (1:2.2-2) unstable; urgency=low

  * delete bogus debian.orig directory

 -- Raul Miller <moth@debian.org>  Wed, 14 Mar 2001 15:15:59 -0500

pdl (1:2.2-1) unstable; urgency=medium

  * new upstream release
  * turned off make test because it has problems:
      1. requires an active X session (bad for autobuilders), and
      2. requires slatec (or linfit fails).  [Can't support
         slatec until ExtUtils::F77 is a debian package]
  * bumped up urgency because old pdl doesn't support newest
    perl, and some people consider that serious.

 -- Raul Miller <moth@debian.org>  Mon, 12 Mar 2001 20:51:12 -0500

pdl (1:2.1.1-1) unstable; urgency=low

  * reintroduced scantree.pl and mkhtmldoc to postinst (fixes
    problem reported in private email by Dav Clark and Gordon Haverland
    -- thanks).
  * note: this version won't purge cleanly, as it creates a couple
    files a postinst time which aren't removed even at purge time.
  * got rid of bashisms from debian/rules
  * translated /usr/doc to /usr/share/doc and /usr/man to /usr/share/man
  * never released -- ignore epoch

 -- Raul Miller <moth@debian.org>  Mon, 20 Nov 2000 01:17:43 -0500

pdl (2.1.1-0pre1) unstable; urgency=low

  * new upstream version
  * this is a pre-release, among other things, I'm waiting for xlib6g-dev
    to stabilize.  Please email me, personally, with any bug reports.
    This is not an official release.  Changes from the 2.1.1 sources on
    sourceforge for this prerelease:
      + chmod +x debian/rules
      + this entry in debian/changelog
      + editted copy of perldl.conf as debian/.perldl.conf (no -lMesa*)
      + HOME=`pwd`/debian added to Makefile.PL part of debian/rules

 -- Raul Miller <moth@debian.org>  Sun, 19 Nov 2000 14:46:31 -0500

pdl (2.005-2) frozen; urgency=medium

  * Argh, forgot to fix t/gauss.t -- this is required
    for Bug#55268 to really be fixed.

 -- Raul Miller <moth@debian.org>  Tue, 25 Apr 2000 13:45:28 -0400

pdl (2.005-1) frozen; urgency=medium

  * new bugfix upstream version
  * two hacks:  (1) disable #ifdef in Basic/Math/mconf.h which includes 
    <nan.h> on our linux alpha, (2) disable test which shows that guassian 
    doesn't work properly on our linux alpha.  (Fixes Bug#55268)
   
 -- Raul Miller <moth@debian.org>  Mon, 17 Apr 2000 08:17:18 -0400

pdl (2.003-1) unstable; urgency=low

  * new upstream version

 -- Raul Miller <moth@debian.org>  Mon,  1 Nov 1999 07:16:55 -0500

pdl (2.002-3) unstable; urgency=low

  * new maintainer
  * recreated source package, unpack in pdl-2.002 instead of PDL-2.002
    [this oddity in source package accounts for earlier diff problems].  
    (Fixes #45771).
  * do "make test" at build time
  * removed suggests jpeg-progs, I can't find any such package
  * removed suggests pgperl, there's a well labeled demo that fails
    and that should be enough of a suggestion for people who would want
    this non-free support.  If there's demand, and if special compilation
    support turns out to be needed, I supposed I'll have to create
    a pdl-nonfree...

 -- Raul Miller <moth@debian.org>  Sun, 10 Oct 1999 19:20:09 -0400

pdl (2.002-2) unstable; urgency=low

  * added depends on libterm-readkey-perl
 
 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun,  8 Aug 1999 14:25:39 -0700

pdl (2.002-1) unstable; urgency=low

  * New upstream
  * Build with new perl 5.005 package
  * fixes #40433 with workaround for error in Bessel functions in 
    libc6 2.1
  * Fixes #36402, docs are now made at build time and are purged
    with dpkg --purge. Also previous cruft from old versions is purged 
    in preinst.
  * Fixes #38429, typo in Depends
 
 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 25 Jun 1999 17:52:33 -0700

pdl (2.001-1) unstable; urgency=low

  * New upstream
  * Add r-pdl code (merging r-pdl package)

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 21 Apr 1999 14:47:54 -0700

pdl (2.0-2) unstable; urgency=low

  *  link with glibc 2.1.1
  *  add menu entry

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 25 Mar 1999 01:52:12 -0700 

pdl (2.0-1) unstable; urgency=low

  *  new upstream version

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 25 Jan 1999 16:59:48 -0700 	

pdl (1.99988-5) unstable frozen; urgency=low

  *  html docs were put in wrong place.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue,  8 Dec 1998 03:39:42 -0700

pdl (1.99988-4) unstable frozen; urgency=low

  * Some package (mesa?) change and broke the build
    Add X11 include path by hand.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  6 Nov 1998 22:03:17 -0700

pdl (1.99988-3) unstable; urgency=low

  * link against mesag3.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun, 25 Oct 1998 01:32:34 -0700

pdl (1.99988-2) unstable; urgency=low

  * Make rules less i386-centric

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue,  6 Oct 1998 11:44:39 -0700

pdl (1.99988-1) unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  2 Oct 1998 00:00:03 -0700

pdl (1.99985-1) unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 31 Jul 1998 14:24:09 -0700

pdl (1.9906-1) frozen unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  1 May 1998 15:29:16 -0700

pdl (1.9905-1) unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 24 Apr 1998 16:17:42 -0700

pdl (1.9904-1) unstable; urgency=low

  * New minor revision

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 13 Apr 1998 13:45:34 -0700

pdl (1.9902-2) unstable; urgency=low

  * suggests mesag2 not mesa2

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 13 Apr 1998 13:45:34 -0700

pdl (1.9902-1) unstable; urgency=low

  * Upstream minor revision.
  * Note doc lookup was still broken in 1.9901
  * Changed architecture from i386 to any
  * Fixed doc lookup, I hope

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 23 Mar 1998 15:31:34 -0700

pdl (1.9901-2) unstable; urgency=low

  * Fixed online doc lookup.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 14 Mar 1998 18:21:28 -0700

pdl (1.9901-1) unstable; urgency=low

  * New upstream minor version including ...
  * New Free license.
  * Bug fixes, doc improvements

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon,  9 Mar 1998 12:53:32 -0700

pdl (1.9900-1) non-free; urgency=low

  * New upstream release

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 27 Feb 1998 16:42:27 -0700

pdl (1.95.07-3) non-free; urgency=low

  * removed perllocal.pod; only for local build

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 23 Jan 1998 22:04:49 -0700

pdl (1.95.07-2) non-free; urgency=low

  * existed a debstd bug; upgraded debstd and repackaged.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 23 Jan 1998 21:09:05 -0700

pdl (1.95.07-1) non-free; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 16 Jan 1998 19:32:22 -0700
